# $Revision: 1.29 $, $Date: 2001/06/25 07:06:04 $
Summary:	Gnapster is a simple gnome client that implement the napster protocol
Summary(pl):	Gnapster jest prost implementacj protokoy napster dla GNOME
Name:		gnapster
Version:	1.5.0
Release:	1
License:	GPL
Group:		Applications/Communications
Group(de):	Applikationen/Kommunikation
Group(pl):	Aplikacje/Komunikacja
Source0:	http://jasta.gotlinux.org/files/%{name}-%{version}.tar.gz
Patch0:		%{name}-use_AM_GNU_GETTEXT.patch
URL:		http://jasta.gotlinux.org/gnapster.html
BuildRequires:	ORBit-devel >= 0.4.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db3-devel
BuildRequires:	esound-devel
BuildRequires:	gnome-libs-devel >= 1.0.0
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_sysconfdir	/etc/X11/GNOME

%description
Gnapster is a small but powerfull client for the napster (mp3
comunity) protocol, written for Gnome by Jasta. If you would like to
contribute, please contact Jasta <jasta@gotlinux.org>.

%description -l pl
Gnapster jest maym, lecz potnym klientem protokou napstera (dla
spoecznoci wymieniajcej si plikami mp3), przepisanym dla Gnome
przez Jasta. Jeli chcecie pomc w rozwoju tej aplikacji, mona si z
nim skontaktowac piszc na adres: jasta@gotlinux.org.

%prep
%setup -q
%patch -p1

rm -f po/essai.po

%build
rm -f missing
libtoolize --copy --force
gettextize --copy --force
aclocal -I macros
autoconf
automake -a -c
%configure \
%ifarch alpha
	--without-xss
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Network/Misc

install gnapster.desktop $RPM_BUILD_ROOT%{_applnkdir}/Network/Misc

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf AUTHORS ChangeLog NEWS README TODO

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/gnapster
%{_pixmapsdir}/*
%{_datadir}/gnapster
%{_applnkdir}/Network/Misc/gnapster.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnapster.spec,v $
Revision 1.29  2001/06/25 07:06:04  kloczek
- updated to 1.5.0,
- added use_AM_GNU_GETTEXT patch,
- regenerate ac/am/lt files.

Revision 1.28  2001/01/22 11:31:38  kloczek
- added using %%{_pixmapdir} macro.

Revision 1.27  2001/01/22 11:30:26  kloczek
- updated to 1.4.2.

Revision 1.26  2001/01/02 06:31:09  alchemyx
- this package shouldn't own what is owned by applnk
- release 2

Revision 1.25  2000/11/19 19:15:17  kloczek
- small cosmetics.

Revision 1.24  2000/11/19 13:21:33  mkochano
- Updated to 1.4.1a.

Revision 1.23  2000/10/30 00:30:52  michuz
- updated to 1.4.0

Revision 1.22  2000/10/27 10:42:58  kloczek
- release 2: rebuild against gnome-libs linked with db3.

Revision 1.21  2000/09/13 22:26:39  kloczek
- s/glibc-db2-devel/db2-devel/,
- adapterized.

Revision 1.20  2000/09/13 22:20:21  mkochano
- Updated to 1.3.12.
- Removed gnapster-Makefile-dont_backup_users_server_list.patch.
- Added BuildRequires: glibc-db2-devel.

Revision 1.19  2000/08/10 14:27:38  mkochano
- Added patch for not backing up server list in $(HOME)/.gnapster durning
  %%install.

Revision 1.18  2000/08/10 10:28:38  kloczek
- updated to 1.3.11.

Revision 1.17  2000/07/31 15:58:41  mkochano
- Updated to 1.3.10
- Updated source URL.

Revision 1.16  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.15  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/05/30 14:19:24  michuz
- release 2
- %%applnkdir changed

Revision 1.13  2000/05/18 23:46:00  kloczek
- spec adapterized.

Revision 1.12  2000/05/11 08:24:36  mkochano
- Release 1.

Revision 1.12  2000/05/11 08:24:36  mkochano
- Release 1.

Revision 1.11  2000/05/11 08:23:31  mkochano
- Updated to 1.3.9.

Revision 1.10  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.9  2000/04/06 20:51:46  kloczek
- release 2.

Revision 1.8  2000/04/06 15:09:13  mkochano
- More "BuildRequires:".

Revision 1.7  2000/04/03 02:30:23  kloczek
- updated to 1.3.8,
- put desktop files in %%{_applnkdir} tree without patching sources.

Revision 1.6  2000/04/01 11:14:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/31 21:16:59  arturs
- added %description -l pl

Revision 1.4  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.3  2000/03/21 03:52:03  kloczek
- updated to 1.3.7.

Revision 1.2  2000/02/13 13:54:35  kloczek
- completly rewrited in PLD style.

* Fri Jan 14 2000 Joaquim Fellmann <joaquim@hrnet.fr>
- made the gnome archive from the standalone sources
